Bug 1634955 - tre: Remove (sub)packages from Fedora 30+: python2-tre
Summary: tre: Remove (sub)packages from Fedora 30+: python2-tre
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tre
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-01 19:19 UTC by Miro Hrončok
Modified: 2019-02-25 06:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-25 00:44:15 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-01 19:19:05 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of tre were marked for removal:

 * python2-tre

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-01-15 11:14:35 UTC
I've got a test failure:

/usr/bin/make  check-TESTS
make[3]: Entering directory '/builddir/build/BUILD/tre-c2f5d130c91b1696385a6ae0b5bcfd5214bcc9ca/tests'
make[4]: Entering directory '/builddir/build/BUILD/tre-c2f5d130c91b1696385a6ae0b5bcfd5214bcc9ca/tests'
PASS: test-str-source
PASS: retest
FAIL: wretest
============================================================================
Testsuite summary for TRE 0.8.0
============================================================================
# TOTAL: 3
# PASS:  2
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to tre-general@lists.laurikari.net
============================================================================

Comment 3 Dominik 'Rathann' Mierzejewski 2019-02-25 00:44:15 UTC
Failing test was due to missing glibc-langpack-en. I switched to python3 instead of dropping python subpackage.

Comment 4 Miro Hrončok 2019-02-25 06:27:46 UTC
Thank You!


Note You need to log in before you can comment on or make changes to this bug.